// component/iconLoading/iconLoading.js
Component({
    /**
     * 组件的属性列表
     */
    properties: {
        innerText: {
            type: String,
            value: 'default value',
          }

    },

    /**
     * 组件的初始数据
     */
    data: {
        isShowLoading: false

    },

    /**
     * 组件的方法列表
     */
    methods: {
        //隐藏弹框
        hideLoading() {
            this.setData({
                isShowLoading: false
            })
        },
        //展示弹框
        showLoading() {
            this.setData({
                isShowLoading: true
            })
        }

    }
})
